Canon Canonscan Lide 100 on Ubuntu

It works, at the end (Update  23/01/2011 read at the end!)

Your mileage may vary, as I had to compile from source. Follow this interesting thread.
You have to install all the relevant tools and pay a bit of attention at the end of every ./configure, as it will complain without failing if you lack some important libraries, such as libusb. Pay attention and install the required libraries from ubuntu depositories. Personally I didn’t install backend and frontend  in /usr but in /usr/local. Even if you are going to uninstall everything related to SANE (including libraries) I don’t want to mess with Ubuntu policies.
./configure –prefix=/usr/local –sysconfdir=/etc –localstatedir=/var

After that, one of the backends from the GIT source was screwed (magicolor.c) but since I don’t need it I specified from command line the backend I was going to compile. See http://www.xs4all.nl/~ljm/SANE-faq.html#44.

I did
export BACKENDS=”net mustek mustek_usb genesys”
./configure

to esclude the magicolor backand from compile and it worked.
If you are going to use sane with a frontend, you’ll need to compile it as well, since installing the frontend from the repos will install also the backend as a dependency. Even if you installed in /usr/local/, you don’t want that.
So git clone the sane-frontend source, pay attention to the configure phase ( I installed it in /usr/local too), install the required dev libriaries (especially, Gimp ones if you are going to use it) and compile it as well. I did not compile xsane but sane-frontend and I’m using xscanimage  The udev rules mentioned in the Ubuntuforums post is important, sinche it will allow you to scan as user.
That probably all. To use it with The GIMP, I created a

$ ln -s /usr/local/bin/xscanimage ~/.gimp-2.6/plug-ins/

Gimp will not enable the device dialog of xscanimage unless you create a new image first with File->New.
It now works. Save your source dir as you could need in the future to uninstall the whole thing in the event the next packaged version of Sane will allow us to use the Lide 100 without compiling.
Version: xscanimage (sane-frontends) 1.0.15git.
scanimage (sane-backends) 1.0.22git; backend version 1.0.22
on ubuntu 10.10 amd64.

Update (23/01/2011): I did a bit more of research and it turns out that the genesys backend version in sane 1.0.21 (presently included in ubuntu 10.10 and also in natty) it’s too old. Complete support for Canonscan 100 LIDE was added in 1.0.62 (see here http://www.sane-project.org/lists/sane-mfgs-cvs.html). So instead of compiling it, I just searched a newer package for Ubuntu.
It turns out that Alf Gaida has it in his PPA. I installed them and the scanner is now working flawlessly.
Alf provides scanimage (sane-backends) 1.0.22git; backend version 1.0.22

Advertisements